MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024869Open CASCADE[OCCT] OCCT:Application Frameworkpublic2014-04-23 17:462018-02-14 15:33
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024869: OCAF testing framework extending
DescriptionOCAF testing framework doesn't support testing of BOP Section operation's history.


Steps To ReproduceNA.
TagsNo tags attached.
Test case numberbugs caf(015) bug24869
Attached Files? file icon test_section (908 bytes) 2014-04-23 18:08

- Relationships

-  Notes
(0029044)
szy (manager)
2014-04-23 18:06

Branch CR24869 is created.
In addition script "test_section" is attached to the current bug (to be used by QA).
Review it, please.
(0029057)
vro (developer)
2014-04-24 13:44

Reviewed.
(0029223)
mkv (tester)
2014-05-07 12:19

Dear BugMaster,

Branch CR24869 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 4d80632da9cc148bb66176770747210f0ba9659d

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 410 (410 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24869-master-occt/Debian60-64/bugs/caf/bug24869.html [^]
http://occt-tests/CR24869-master-occt/Windows-32-VC9/bugs/caf/bug24869.html [^]
bugs caf(015) bug24869: OK

Testing on Linux:
Total MEMORY difference: 355471148 / 355845808
Total CPU difference: 51638.279999999926 / 55266.979999999734

Testing on Windows:
Total MEMORY difference: 379344092 / 381847264
Total CPU difference: 35719.484375 / 43088.34375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 372ceec4
Timestamp: 2014-05-08 07:35:35
Author: szy
Committer: bugmaster
Details ] Diff ]
0024869: OCAF testing framework extending

OCAF testing framework extending.
Test case for issue CR24869
mod - src/DNaming/DNaming_BooleanOperationDriver.cdl Diff ] File ]
mod - src/DNaming/DNaming_BooleanOperationDriver.cxx Diff ] File ]
mod - src/DNaming/DNaming_ModelingCommands.cxx Diff ] File ]
mod - src/DNaming/ModelDefinitions.hxx Diff ] File ]
add - tests/bugs/caf/bug24869 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-23 17:46 szy New Issue
2014-04-23 17:46 szy Assigned To => szy
2014-04-23 17:46 szy Status new => assigned
2014-04-23 18:06 szy Note Added: 0029044
2014-04-23 18:06 szy Assigned To szy => vro
2014-04-23 18:06 szy Status assigned => resolved
2014-04-23 18:08 szy File Added: test_section
2014-04-24 13:44 vro Note Added: 0029057
2014-04-24 13:44 vro Assigned To vro => mkv
2014-04-24 13:44 vro Status resolved => reviewed
2014-05-07 12:19 mkv Note Added: 0029223
2014-05-07 12:19 mkv Test case number => bugs caf(015) bug24869
2014-05-07 12:19 mkv Assigned To mkv => bugmaster
2014-05-07 12:19 mkv Status reviewed => tested
2014-05-12 16:20 bugmaster Changeset attached => occt master 372ceec4
2014-05-12 16:20 bugmaster Status tested => verified
2014-05-12 16:20 bugmaster Resolution open => fixed
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed
2018-02-14 15:33 abv Relationship added related to 0029363


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker